Details
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
"order.created"
],
"name": "First webhook",
"url": "http://genuka-api.test/admin"
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/webhooks/{id}"
payload = {
"events": ["order.created"],
"name": "First webhook",
"url": "http://genuka-api.test/admin"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: ['order.created'],
name: 'First webhook',
url: 'http://genuka-api.test/admin'
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2025-10-10T14:55:27.000000Z",
"description": null,
"events": [
"order.created"
],
"failure_count": 0,
"id": "01k779x9jv4cdpca6zjzgdatj3",
"is_active": true,
"last_triggered_at": null,
"metadata": null,
"secret": "c2EmRyAUY0uND8qvv2px5iOUbYHDpAtz",
"updated_at": "2025-10-10T14:55:27.000000Z",
"url": "https://genuka-api.test/admin"
}Webhooks
Get webhook by id
Retrieves detailed information about a specific webhook by its unique ID. This includes the webhook URL, subscribed events, status, and optional metadata. Useful for reviewing or verifying individual webhook configurations.
GET
/
2023-11
/
admin
/
webhooks
/
{id}
Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Path Parameters
Query Parameters
Example:
"confirmed"
Body
application/json
Response
200 - application/json
200
Example:
"2025-10-10T14:55:27.000000Z"
Example:
["order.created"]
Example:
0
Example:
"01k779x9jv4cdpca6zjzgdatj3"
Example:
true
Example:
"c2EmRyAUY0uND8qvv2px5iOUbYHDpAtz"
Example:
"2025-10-10T14:55:27.000000Z"
Example:
"https://genuka-api.test/admin"
⌘I
